summaryrefslogtreecommitdiffstats
path: root/kde/polkit-kde-agent-1
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
commit290362d91d840ad6feed5b59191a058f5e998d3c (patch)
tree0627e989dab744a67ee2b8a073964c1c5c5b66b9 /kde/polkit-kde-agent-1
downloadktown-4.6.5.tar.gz
ktown-4.6.5.tar.xz
KDE 4.6.5 for Slackware 13.37 (07jul2011)4.6.5
Diffstat (limited to 'kde/polkit-kde-agent-1')
-rw-r--r--kde/polkit-kde-agent-1/local.options1
-rwxr-xr-xkde/polkit-kde-agent-1/polkit-kde-agent-1.SlackBuild93
-rw-r--r--kde/polkit-kde-agent-1/pull-polkit-kde-agent-16
-rw-r--r--kde/polkit-kde-agent-1/slack-desc18
4 files changed, 118 insertions, 0 deletions
diff --git a/kde/polkit-kde-agent-1/local.options b/kde/polkit-kde-agent-1/local.options
new file mode 100644
index 0000000..4f1f569
--- /dev/null
+++ b/kde/polkit-kde-agent-1/local.options
@@ -0,0 +1 @@
+VERSION=0.99.0
diff --git a/kde/polkit-kde-agent-1/polkit-kde-agent-1.SlackBuild b/kde/polkit-kde-agent-1/polkit-kde-agent-1.SlackBuild
new file mode 100755
index 0000000..d49026a
--- /dev/null
+++ b/kde/polkit-kde-agent-1/polkit-kde-agent-1.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-polkit-kde-agent-1
+
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/kde ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/kde
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building polkit-kde-agent-1-$VERSION..."
+tar xvf $CWD/../src/polkit-kde-agent-1-$VERSION.tar.?z* || exit 1
+cd polkit-kde-agent-1-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/polkit-kde-agent-1-$VERSION
+cp -a \
+ COPYING* README* \
+ $PKG/usr/doc/polkit-kde-agent-1-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/polkit-kde-agent-1-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/polkit-kde-agent-1/pull-polkit-kde-agent-1 b/kde/polkit-kde-agent-1/pull-polkit-kde-agent-1
new file mode 100644
index 0000000..34da108
--- /dev/null
+++ b/kde/polkit-kde-agent-1/pull-polkit-kde-agent-1
@@ -0,0 +1,6 @@
+rm -rf polkit-kde-agent-1
+git clone git://anongit.kde.org/polkit-kde-agent-1
+( cd polkit-kde-agent-1 && rm -rf .git* )
+mv polkit-kde-agent-1 polkit-kde-agent-1-$(date +%Y%m%d)git
+tar cf polkit-kde-agent-1-$(date +%Y%m%d)git.tar polkit-kde-agent-1-$(date +%Y%m%d)git
+xz -9 polkit-kde-agent-1-$(date +%Y%m%d)git.tar
diff --git a/kde/polkit-kde-agent-1/slack-desc b/kde/polkit-kde-agent-1/slack-desc
new file mode 100644
index 0000000..8b6f29b
--- /dev/null
+++ b/kde/polkit-kde-agent-1/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+polkit-kde-agent-1: polkit-kde-agent-1 (KDE polkit authenticator)
+polkit-kde-agent-1:
+polkit-kde-agent-1: This is a polkit authenticator for KDE.
+polkit-kde-agent-1:
+polkit-kde-agent-1:
+polkit-kde-agent-1:
+polkit-kde-agent-1:
+polkit-kde-agent-1:
+polkit-kde-agent-1:
+polkit-kde-agent-1: